Package icyllis.arc3d.core

# Class Vertices

java.lang.Object
icyllis.arc3d.core.Vertices

public class Vertices extends Object
An immutable set of vertex data that can be used with `Canvas.drawVertices(icyllis.arc3d.core.Vertices, icyllis.arc3d.core.Blender, icyllis.arc3d.core.Paint)`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kLines_VertexMode`
  `static final int`
  `kLineStrip_VertexMode`
  `static final int`
  `kPoints_VertexMode`
  `static final int`
  `kTriangles_VertexMode`
  `static final int`
  `kTriangleStrip_VertexMode`
  `static final int`
  `kVertexModeCount`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Rect2fc`
  `getBounds()`
  `void`
  `getBounds(Rect2f bounds)`
  `byte[]`
  `getColors()`
  `int`
  `getIndexCount()`
  `short[]`
  `getIndices()`
  `float[]`
  `getPositions()`
  `float[]`
  `getTexCoords()`
  `int`
  `getVertexCount()`
  `int`
  `getVertexMode()`
  `boolean`
  `hasColors()`
  `boolean`
  `hasIndices()`
  `boolean`
  `hasTexCoords()`
  `static Vertices`
  `makeCopy(int vertexMode, int vertexCount, float[] positions, int positionOffset, float[] texCoords, int texCoordOffset, int[] colors, int colorOffset)`
  `static Vertices`
  `makeCopy(int vertexMode, int vertexCount, float[] positions, int positionOffset, float[] texCoords, int texCoordOffset, int[] colors, int colorOffset, short[] indices, int indexOffset, int indexCount)`
  `static Vertices`
  `makeCopy(int vertexMode, FloatBuffer positions, FloatBuffer texCoords, IntBuffer colors, ShortBuffer indices)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kPoints_VertexMode

    public static final int kPoints_VertexMode
    See Also:
      - Constant Field Values

  - ### kLines_VertexMode

    public static final int kLines_VertexMode
    See Also:
      - Constant Field Values

  - ### kLineStrip_VertexMode

    public static final int kLineStrip_VertexMode
    See Also:
      - Constant Field Values

  - ### kTriangles_VertexMode

    public static final int kTriangles_VertexMode
    See Also:
      - Constant Field Values

  - ### kTriangleStrip_VertexMode

    public static final int kTriangleStrip_VertexMode
    See Also:
      - Constant Field Values

  - ### kVertexModeCount

    public static final int kVertexModeCount
    See Also:
      - Constant Field Values

- ## Method Details

  - ### makeCopy

    @Nonnull public static Vertices makeCopy(int vertexMode, int vertexCount, @Nonnull float[] positions, int positionOffset, @Nullable float[] texCoords, int texCoordOffset, @Nullable int[] colors, int colorOffset)

  - ### makeCopy

    @Nonnull public static Vertices makeCopy(int vertexMode, int vertexCount, @Nonnull float[] positions, int positionOffset, @Nullable float[] texCoords, int texCoordOffset, @Nullable int[] colors, int colorOffset, @Nullable short[] indices, int indexOffset, int indexCount)

  - ### makeCopy

    @Nonnull public static Vertices makeCopy(int vertexMode, @Nonnull FloatBuffer positions, @Nullable FloatBuffer texCoords, @Nullable IntBuffer colors, @Nullable ShortBuffer indices)

  - ### getBounds

    @Nonnull public Rect2fc getBounds()

  - ### getBounds

    public void getBounds(Rect2f bounds)

  - ### getVertexMode

    @Internal public int getVertexMode()

  - ### hasColors

    @Internal public boolean hasColors()

  - ### hasTexCoords

    @Internal public boolean hasTexCoords()

  - ### hasIndices

    @Internal public boolean hasIndices()

  - ### getVertexCount

    @Internal public int getVertexCount()

  - ### getIndexCount

    @Internal public int getIndexCount()

  - ### getPositions

    @Internal public float[] getPositions()

  - ### getTexCoords

    @Internal public float[] getTexCoords()

  - ### getColors

    @Internal public byte[] getColors()

  - ### getIndices

    @Internal public short[] getIndices()